
#
# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
#

--- glibc-2.2.5/sysdeps/unix/sysv/linux/kernel-features.h~glibc-drow-sh.patch	2004-09-03 19:00:33.000000000 -0500
+++ glibc-2.2.5/sysdeps/unix/sysv/linux/kernel-features.h	2004-09-03 19:00:38.000000000 -0500
@@ -134,11 +134,20 @@
 
 /* The changed st_ino field appeared in 2.4.0-test6.  But we cannot
    distinguish this version from other 2.4.0 releases.  Therefore play
-   save and assume it available is for 2.4.1 and up.  */
-#if __LINUX_KERNEL_VERSION >= 132097
+   save and assume it available is for 2.4.1 and up.  However, SH is lame,
+   and still does not have a 64-bit inode field.  */
+#if __LINUX_KERNEL_VERSION >= 132097 \
+    && !defined __sh__
 # define __ASSUME_ST_INO_64_BIT		1
 #endif
 
+/* SH kernels got stat64, mmap2, and truncate64 during 2.4.0-test.  */
+#if __LINUX_KERNEL_VERSION >= 132096 && defined __sh__
+# define __ASSUME_TRUNCATE64_SYSCALL	1
+# define __ASSUME_MMAP2_SYSCALL		1
+# define __ASSUME_STAT64_SYSCALL	1
+#endif
+
 /* To support locking of large files a new fcntl() syscall was introduced
    in 2.4.0-test7.  We test for 2.4.1 for the earliest version we know
    the syscall is available.  */
